package be.msyben.vinylManager.entities;

import java.io.Serializable;

/**
 * Cette classe représente une image.
 *
 * @author Mathieu Syben
 *
 */
public class Image implements Serializable, Cloneable {

    /**
     * uid
     */
    private static final long serialVersionUID = 6966899513698500064l;
    private String nom;
    private byte[] contenu;

    /**
     * Creates a new instance of Image
     */
    public Image() {
    }

    /**
     * Getter for property nom.
     *
     * @return Value of property nom.
     */
    public String getNom() {
        return this.nom;
    }

    /**
     * Setter for property nom.
     *
     * @param nom New value of property nom.
     */
    public void setNom(String nom) {
        this.nom = nom;
    }

    /**
     * Getter for property contenu.
     *
     * @return Value of property contenu.
     */
    public byte[] getContenu() {
        return this.contenu;
    }

    /**
     * Setter for property contenu.
     *
     * @param contenu New value of property contenu.
     */
    public void setContenu(byte[] contenu) {
        this.contenu = contenu;
    }

    @Override
    public Image clone() throws CloneNotSupportedException {
        Image clone = (Image) super.clone();
        return clone;
    }
}
